--调整系统自带功能
local function UpdateCvarSettings()
    -- 游戏功能
        --控制  
        SetCVar("deselectOnClick", 1) -- 目标锁定 启用：0 禁用：1
        SetCVar("autoDismountFlying", 1) -- 自动取消飞行 启用：1 禁用：0
        SetCVar("autoClearAFK", 1) -- 自动解除离开状态 启用：1 禁用：0
        SetCVar("interactOnLeftClick", 1) -- 左键点击操作 启用：1 禁用：0
        SetCVar("lootUnderMouse", 1) -- 鼠标位置打开拾取窗口 启用：1 禁用：0
        SetCVar("autoLootDefault", 1) -- 自动拾取 启用：1 禁用：0
        Settings.SetValue("AUTOLOOTTOGGLE", "SHIFT") -- 拾取键"NONE"\"ALT"\"SHIFT"\"CTRL"
        SetCVar("combinedBags", 1) -- 组合背包 启用：1 禁用：0
        SetCVar("softTargetInteract", 3) -- 开启交互按键 禁用：0 手柄：1 键鼠：2 总是：3
        SetBinding("PAGEDOWN", "INTERACTTARGET") --与目标互动按键
        SetCVar("softTargettingInteractKeySound", 1) -- 交互按键音效提示 启用：1 禁用：0
        --  鼠标  
        SetCVar("ClipCursor", 0) -- 将鼠标指针锁定在窗口内 启用：1 禁用：0
        SetCVar("mouseInvertPitch", 0) -- 反转鼠标 启用：1 禁用：0
        SetCVar("cameraYawMoveSpeed", 180) -- 鼠标观察速度 取值：90 - 270 步长：10
        SetCVar("enableMouseSpeed", 1) -- 启用鼠标灵敏度 启用：1 禁用：0
        SetCVar("mouseSpeed", 1) -- 鼠标灵敏度 取值：0.5 - 1.4 步长：0.05
        SetCVar("autointeract", 0) -- 点击移动 启用：1 禁用：0
        SetCVar("cameraSmoothTrackingStyle", 0) -- 点击移动 从不调整镜头：0 移动时只调整水平角度：1 总是调整视角：2 仅在移动时：4
        -- 镜头
        SetCVar("cameraWaterCollision", 1) -- 水体碰撞 启用：1 禁用：0
        SetCVar("cameraYawSmoothSpeed", 180) -- 自动跟随速度 取值：90 - 270 步长：10
        SetCVar("cameraSmoothStyle", 0) -- 镜头跟随模式 从不调整镜头：0 移动时只调整水平角度：1 总是调整视角：2 仅在移动时：4

        -- 界面
        -- 显示
        SetCVar("showInGameNavigation", 1) -- 游戏内导航 启用：1 禁用：0
        SetCVar("showTutorials", 0) -- 教程 启用：1 禁用：0
        SetCVar("Outline", 3) -- 轮廓线模式 禁用：0 仅限任务目标：1 任务目标和鼠标悬停(默认)：2 任务目标、鼠标悬停及目标：3
        SetCVar("statusTextDisplay", "BOTH") -- 状态文字 数字："NUMERIC" 百分比："PERCENT" 同时显示："BOTH" 无："NONE"
        SetCVar("chatBubbles", 1) -- 聊天泡泡 启用：1 禁用：0
            SetCVar("chatBubblesParty", 1) -- 组队聊天泡泡 启用：1 禁用：0
            SetCVar("chatBubblesRaid", 1) -- 团队聊天泡泡 启用：1 禁用：0
        SetCVar("ReplaceOtherPlayerPortraits", 0) -- 替换玩家框体头像 启用：1 禁用：0
        SetCVar("ReplaceMyPlayerPortrait", 0) -- 替换我的框体头像 启用：1 禁用：0
        -- 任务
        Settings.SetValue("PROXY_ACCOUNT_COMPLETED_QUEST_FILTERING", true) -- 隐藏战团已完成的任务
        Settings.SetValue("PROXY_TRIVIAL_QUEST_FILTERING", true) -- 隐藏低等级任务
        -- 团队框体
        SetCVar("raidFramesDisplayIncomingHeals", 1) -- 显示预计治疗 启用：1 禁用：0
        SetCVar("raidFramesDisplayPowerBars", 1) -- 显示能量条 启用：1 禁用：0
            SetCVar("raidFramesDisplayOnlyHealerPowerBars", 0) -- 只显示治疗者能量条 启用：1 禁用：0
        SetCVar("raidFramesDisplayAggroHighlight", 1) -- 高亮显示仇恨目标 启用：1 禁用：0
        SetCVar("raidFramesDisplayClassColor", 1) -- 显示职业颜色 启用：1 禁用：0
            --SetCVar("raidFramesHealthBarColor", "ff2b9305")
        SetCVar("raidFramesHealthBarColorBG", "ff141414") --背景
        SetCVar("raidOptionDisplayPets", 1) -- 显示宠物 启用：1 禁用：0
        SetCVar("raidOptionDisplayMainTankAndAssist", 1) -- 显示主坦克和主助理 启用：1 禁用：0
        SetCVar("raidFramesDisplayDebuffs", 1) -- 显示负面效果 启用：1 禁用：0
            SetCVar("raidFramesDisplayLargerRoleSpecificDebuffs", 1) -- 放大职责减益 启用：1 禁用：0
            SetCVar("raidFramesDisplayOnlyDispellableDebuffs", 1) -- 只显示可供驱散的负面效果 启用：1 禁用：0
        SetCVar("raidFramesCenterBigDefensive", 1) -- 重要防御技能居中 启用：1 禁用：0
        SetCVar("raidFramesDispelIndicatorType", 1) -- 可驱散减益指示器 0:关闭 1:我可驱散的 2:显示全部
            SetCVar("raidFramesDispelIndicatorOverlay", 1) -- 可驱散减益颜色 启用：1 禁用：0
        SetCVar("raidFramesHealthText", "health") -- 显示生命值数值 不显示："none" 剩余生命值："health" 损失生命值："losthealth" 生命值百分比："perc"
        -- 竞技场对手框体
        SetCVar("pvpFramesDisplayPowerBars", 1) -- 显示能量条 启用：1 禁用：0
            SetCVar("pvpFramesDisplayOnlyHealerPowerBars", 0) -- 只显示治疗者能量条 启用：1 禁用：0
        SetCVar("pvpFramesDisplayClassColor", 1) -- 显示职业颜色 启用：1 禁用：0
        SetCVar("pvpOptionDisplayPets", 1) -- 显示宠物 启用：1 禁用：0
        SetCVar("pvpFramesHealthText", "health") -- 显示生命值数值 无："none" 剩余生命值："health" 损失生命值："losthealth" 生命值百分比："perc"
        
        -- 动作条
        SetActionBarToggles(true, true, true, true, false, false, false)--动作条2-8
        SetCVar("lockActionBars", 1) -- 锁定动作条 启用：1 禁用：0
        Settings.SetValue("PICKUPACTION", "SHIFT") -- 提取动作键"NONE"\"ALT"\"SHIFT"\"CTRL"
        SetCVar("countdownForCooldowns", 1) -- 显示冷却时间 启用：1 禁用：0    
        
        -- 战斗
        SetCVar("nameplateShowSelf", 1) -- 显示个人资源 启用：1 禁用：0
        Settings.SetValue("PROXY_SELF_HIGHLIGHT", 3) -- 自身高亮 0:关 1:圆环 2:轮廓线 4:图标 3:圆环和轮廓线 5:圆环和图标 6:轮廓线和图标 7:圆环、轮廓线和图标
        SetCVar("occludedSilhouettePlayer", 1) -- 被遮蔽时显示轮廓 启用：1 禁用：0
        SetCVar("showTargetOfTarget", 1) -- 目标的目标 启用：1 禁用：0
        SetCVar("doNotFlashLowHealthWarning", 0) -- 生命值过低时不闪烁屏幕 启用：1 禁用：0
        SetCVar("lossOfControl", 1) -- 失控警报 启用：1 禁用：0
        SetCVar("enableFloatingCombatText", 1) -- 滚动战斗记录 启用：1 禁用：0
        SetCVar("enableMouseoverCast", 1) -- 鼠标悬停施法 启用：1 禁用：0
            Settings.SetValue("MOUSEOVERCAST", "NONE") -- 鼠标悬停施法按键 "NONE"\"ALT"\"SHIFT"\"CTRL"
        Settings.SetValue("PROXY_SELF_CAST", 4) -- 自我施法 无：1 自动：2 按键：3 自动和按键：4
            Settings.SetValue("SELFCAST", "ALT") -- 自我施法按键"NONE"\"ALT"\"SHIFT"\"CTRL"
        Settings.SetValue("FOCUSCAST", "NONE") -- 焦点施法按键"NONE"\"ALT"\"SHIFT"\"CTRL"
        SetCVar("empowerTapControls", 1) -- 蓄力法术输入 按下后放开：0 两次按键：1
        SetCVar("spellActivationOverlayOpacity", 1) -- 法术警报不透明度 取值：0 - 1 步长：0.05
        SetCVar("ActionButtonUseKeyHeldSpell", 1) -- 按住施法 启用：1 禁用：0
        SetCVar("softTargetEnemy", 2) -- 开启动作瞄准 禁用：0 手柄：1 键盘：2 总是：3
        
        -- 社交
        Settings.SetValue("PROXY_DISABLE_CHAT", false) -- 关闭聊天
        SetCVar("excludedCensorSources", 2) -- 实时聊天过滤 所有人：1 朋友外的所有人：2 朋友和公会成员外的所有人：3 没有人：4
        SetCVar("profanityFilter", false) -- 语言过滤器                            
        SetCVar("guildMemberNotify", 1) -- 公会成员提示 启用：1 禁用：0
        SetCVar("BlockTrades", 0) -- 阻止交易 启用：1 禁用：0
        Settings.SetValue("PROXY_BLOCK_GUILD_INVITES", false) -- 阻止公会邀请
        Settings.SetValue("PROXY_BLOCK_NEIGHBORHOOD_INVITES", false) -- 阻止住宅区邀请
        SetCVar("restrictCalendarInvites", 1) -- 限制日历邀请 启用：1 禁用：0
        SetCVar("blockChannelInvites", 0) -- 阻止聊天频道邀请 启用：1 禁用：0
        SetCVar("showToastOnline", 1) -- 好友上线 启用：1 禁用：0
        SetCVar("showToastOffline", 1) -- 好友下线 启用：1 禁用：0
        SetCVar("showToastBroadcast", 1) -- 通告更新 启用：1 禁用：0
        Settings.SetValue("PROXY_SOCIAL_LOCATION_VISIBILITY", true) -- 位置显示 true:好友、近期往来与公会成员 false:好友与公会成员
        SetCVar("showToastFriendRequest", 1) -- 实名和战网昵称好友请求 启用：1 禁用：0
        SetCVar("showToastWindow", 1) -- 显示浮窗 启用：1 禁用：0
        SetCVar("autoAcceptQuickJoinRequests", 1) -- 自动接受快速加入申请 启用：1 禁用：0
        SetCVar("chatStyle", "im") -- 聊天风格 即时通讯风格："im" 经典风格："classic"
        SetCVar("whisperMode", "inline") -- 新的悄悄话 一致模式："inline" 新标签页："popout" 同时："popout_and_inline"
        SetCVar("showTimestamps", TIMESTAMP_FORMAT_HHMM_24HR) -- 聊天时间截 TIMESTAMP_FORMAT_NONE:"none" TIMESTAMP_FORMAT_HHMM:"%I:%M " TIMESTAMP_FORMAT_HHMMSS:"%I:%M:%S " TIMESTAMP_FORMAT_HHMM_AMPM:"%I:%M %p " TIMESTAMP_FORMAT_HHMMSS_AMPM:"%I:%M:%S %p " TIMESTAMP_FORMAT_HHMM_24HR:"%H:%M " TIMESTAMP_FORMAT_HHMMSS_24HR:"%H:%M:%S "
        
        -- 信号系统
        SetCVar("enablePings", 1) -- 开启信号 启用:1 禁用:0
            SetCVar("pingMode", 0) -- 信号模式 快速信号：0 从容信号：1
            SetCVar("Sound_EnablePingSounds", 1) -- 信号音效 启用：1 禁用：0
                SetCVar("Sound_PingVolume", 1) -- 信号音量 取值：0 - 1 步长：0.05
        SetCVar("showPingsInChat", 1) -- 在聊天中显示信号

        -- 游戏增强
        --战斗辅助
        SetCVar("assistedCombatHighlight", 1) --辅助标亮 启用:1 禁用:0
        --首领预警
        SetCVar("combatWarningsEnabled", 1) --启用首领预警
        SetCVar("encounterWarningsEnabled", 1)--启用文字预警
            SetCVar("encounterWarningsLevel", 1) --0:所有预警 1:中等优先级 2:关键优先级
            SetCVar("encounterWarningsHideIfNotTargetingPlayer", 0) -- 未成为目标时隐藏
        SetCVar("encounterTimelineEnabled", 1) -- 启用首领时间轴
            SetCVar("encounterTimelineHideLongCountdowns", 0) --隐藏长倒计时
            SetCVar("encounterTimelineHideQueuedCountdowns", 0) -- 隐藏排队倒计时
            SetCVar("encounterTimelineHideForOtherRoles", 0) --隐藏其他职责的倒计时
            SetCVar("encounterTimelineIconographyEnabled", 1) -- 法术辅助图标
                Settings.SetValue("ENCOUNTER_TIMELINE_ICONOGRAPHY_SETS", 63) --1:坦克警报 2:治疗者警报 3:伤害输出警报 4:可驱散 5:激怒 6:灭团技
        --冷却管理器
        SetCVar("cooldownViewerEnabled", 1) --启用冷却管理器
        --外部防御技能
        SetCVar("externalDefensivesEnabled", 1) --启用外部防御技能
        --伤害统计
        SetCVar("damageMeterEnabled", 1) --启用伤害统计
        SetCVar("damageMeterResetOnNewInstance", 1) --自动重置伤害统计
        --收益递减
        SetCVar("spellDiminishPVPEnemiesEnabled", 1) --收益递减追踪
            SetCVar("spellDiminishPVPOnlyTriggerableByMe", 1) --仅限我能施放的
        
        -- 姓名版
        -- 名字
        SetCVar("UnitNameOwn", 0) -- 我的名字 启用：1 禁用：0
        Settings.SetValue("PROXY_NPC_NAMES", 4)-- NPC姓名 1:任务NPC 2:敌对及任务NPC 3:敌对、任务及可互动的NPC 4:所有NPC 5:无
        SetCVar("UnitNameNonCombatCreatureName", 1) -- 小动物和小伙伴 启用：1 禁用：0
        SetCVar("UnitNameFriendlyPlayerName", 1) -- 友方玩家 启用：1 禁用：0
            SetCVar("UnitNameFriendlyMinionName", 1) -- 友方仆从 启用：1 禁用：0
                SetCVar("UnitNameFriendlyPetName", 1) -- 友方宠物 启用：1 禁用：0
                SetCVar("UnitNameFriendlyGuardianName", 1) -- 友方仆从 - 护卫 启用：1 禁用：0
                SetCVar("UnitNameFriendlyTotemName", 1) -- 友方仆从 - 图腾 启用：1 禁用：0
        SetCVar("UnitNameEnemyPlayerName", 1) -- 敌方玩家 启用：1 禁用：0
            SetCVar("UnitNameEnemyMinionName", 1) -- 敌方仆从 启用：1 禁用：0
                SetCVar("UnitNameEnemyPetName", 1) -- 敌方宠物 启用：1 禁用：0
                SetCVar("UnitNameEnemyGuardianName", 1) -- 敌方仆从 - 护卫 启用：1 禁用：0
                SetCVar("UnitNameEnemyTotemName", 1) -- 敌方仆从 - 图腾 启用：1 禁用：0
        -- 姓名版
        SetCVar("nameplateShowAll", 1) -- 显示所有姓名版 启用：1 禁用：0
        SetCVar("nameplateShowEnemies", 1) -- 敌方单位姓名版 启用：1 禁用：0
            SetCVar("nameplateShowEnemyMinions", 1) -- 敌方仆从 启用：1 禁用：0
            SetCVar("nameplateShowEnemyMinus", 1) -- 敌方杂兵 启用：1 禁用：0
        SetCVar("nameplateShowFriendlyPlayers", 1) -- 友方玩家姓名版 启用：1 禁用：0
            SetCVar("nameplateShowFriendlyPlayerMinions", 0) -- 友方仆从 启用：1 禁用：0
        SetCVar("nameplateShowFriendlyNpcs", 0) -- 友方NPC姓名板 启用：1 禁用：0
        SetCVar("nameplateShowOffscreen", 1) -- 显示屏幕外的姓名板 启用：1 禁用：0
        SetCVar("nameplateStackingTypes", "1A")-- 堆叠姓名板 0:无 1:敌方单位 2:友方单位 value:所有你想要显示的图标数值之和
            SetCVar("nameplateSize", 1) -- 尺寸 1~5
            SetCVar("nameplateAuraScale", 1) -- 增益/减益尺寸 minValue, maxValue, step = 0.7, 1.4, 0.1
            SetCVar("nameplateStyle", 0) --样式 0:现代 1:细条 2:块状条 3:极简生命条 4:块状施法条 5:传统红
            SetCVar("nameplateInfoDisplay", "5E") -- 姓名板信息 0:无 1:生命值百分比 2:生命值数值 4:稀有度图标 value:所有你想要显示的图标数值之和
            SetCVar("nameplateCastBarDisplay", "3_") -- 施法条信息 0:无 1:法术名 2:法术图标 4:法术目标 8:标亮重要施法 16:被敌方选为目标时高亮 value:所有你想要显示的图标数值之和
            SetCVar("nameplateThreatDisplay", "7G") -- 仇恨显示 0:无 1:渐进式 2:闪光 4:生命条颜色亮 value:所有你想要显示的图标数值之和
            SetCVar("nameplateEnemyNpcAuraDisplay", "7G") -- 敌方NPC的增减益状态 0:无, 1:怪物增益, 2:个人减益, 4:共享控制 value:所有你想要显示的图标数值之和
            SetCVar("nameplateEnemyPlayerAuraDisplay", "7G") -- 敌方玩家的增减益状态 0:无, 1:敌方增益, 2:个人减益, 4:重要减益 value:所有你想要显示的图标数值之和
            SetCVar("nameplateFriendlyPlayerAuraDisplay", "7G") -- 友方玩家的增减益状态 0:无, 1:个人增益, 2:敌方减益, 4:重要减益 value:所有你想要显示的图标数值之和
            SetCVar("nameplateDebuffPadding", 0) -- 减益间距 minValue, maxValue, step = 0, 50, 1
            SetCVar("nameplateSimplifiedTypes", "3C")-- 简化姓名板 0:无 1:仆从 2:次要 4:友方玩家 8:友方NPC value:所有你想要显示的图标数值之和

    -- 辅助功能
        --界面
        SetCVar("userFontScale", 1) --文字缩放比例 0.8571:小号 1:中号 1.1429:大号 1.4286:特大 1.7143:超大 2:巨大
        SetCVar("questTextContrast", 4) -- 任务文本颜色反差 0:默认 1:棕色 2:白色 3:灰色 4:黑色

        --综合
        SetCVar("enableMovePad", 0) -- 显示移动框
        SetCVar("overrideScreenFlash", 1) -- 开启光敏模式
        SetCVar("WorldTextMinSize", 16) -- 最小角色名尺寸 minValue, maxValue, step = 0, 64, 2
        Settings.SetValue("PROXY_SICKNESS", true) -- 动态眩晕
            --SetCVar("CameraKeepCharacterCentered", 0)
            --SetCVar("CameraReduceUnexpectedMovement", 1)
        SetCVar("ShakeStrengthCamera", 3) --视角晃动 0:无 3:低 2:高
            --SetCVar("ShakeStrengthUI", 3)
        SetCVar("cursorSizePreferred", -1) -- 鼠标指针大小 -1:默认 0:32 1:48 :2:64 3:96 4:128
        --Settings.SetValue("PROXY_SELF_HIGHLIGHT", 3) -- 自身高亮 0:关 1:圆环 2:轮廓线 4:图标 3:圆环和轮廓线 5:圆环和图标 6:轮廓线和图标 7:圆环、轮廓线和图标
        SetCVar("occludedSilhouettePlayer", 1) --被遮蔽时显示轮廓
        SetCVar("spellActivationOverlayOpacity", 1) -- 法术警报不透明度 minValue, maxValue, step = 0, 1, .05
        SetCVar("ActionButtonUseKeyHeldSpell", 1) -- 按住施法
        SetCVar("empowerTapControls", 0) -- 蓄力法术输入 0:按下后放开 1:两次按键
        Settings.SetValue("PROXY_TARGET_TOOLTIP", true) -- 动作瞄准提示信息                
            --SetCVar("SoftTargetTooltipEnemy", 1)
            --SetCVar("SoftTargetTooltipInteract", 1)
        Settings.SetValue("PROXY_INTERACT_ICONS", 2) -- 交互按键图标 1:仅限NPC(默认)2:显示全部 3:全不显示
            --SetCVar("SoftTargetIconEnemy", "1")
            --SetCVar("SoftTargetIconInteract", "1")
            --SetCVar("SoftTargetIconGameObject", "1")
            --SetCVar("SoftTargetLowPriorityIcons", "1")
        SetCVar("arachnophobiaMode", 0) -- 蜘蛛恐惧症模式

        --颜色
        SetCVar("colorblindMode", 0) -- 开启色盲模式界面
        SetCVar("colorblindSimulator", 0) -- 色盲过滤器 0:无 1:1. 红色盲模式 2:2. 绿色盲模式 3:3. 蓝色盲模式
            SetCVar("colorblindWeaknessFactor", 0.5) -- 调整强度 minValue, maxValue, step = 0, 1, .05

        --音频辅助
            --聊天文本转语音
            SetCVar("speechToText", 0)-- 语音聊天文字转录
            SetCVar("textToSpeech", 0) -- 大声朗读聊天文本
            --战斗音频预警
            SetCVar("CAAEnabled", 1) --启动战斗音频预警
            SetCVar("CAAVoice", 2) --战斗播报语音 0:中文 1:英文 非固定 查询方法：/dump C_VoiceChat.GetTtsVoices()
            SetCVar("CAASpeed", 1) --战斗播报语速 -10~10
            SetCVar("CAAVolume", 100) --战斗播报音量 0~100
            SetCVar("CAASayCombatStart", 1) -- 播报战斗开始 0:关闭 1:语音：“战斗开始”
            SetCVar("CAASayCombatEnd", 1) -- 播报战斗结束 0:关闭 1:语音：“战斗结束”
            SetCVar("CAAPlayerHealthPercent", 2) --播报你的生命值 0:关闭 1:每10% 2:每20% 3:每30% 4:每40% 5:每50% CombatAudioAlertUtil.EnumeratePercentInfo()
                SetCVar("CAAPlayerHealthFormat", 4) -- 格式 0:生命值百分之20 1:生命值20 2:生命值2 3:百分之20 4:20 5:2 1~6:CombatAudioAlertUtil.EnumerateUnitFormatInfo("player", Enum.CombatAudioAlertType.Health)
                SetCVar("CAAPlayerHealthVoice", 2) --语音 0:中文 1:英文 非固定 查询方法：/dump C_VoiceChat.GetTtsVoices()
                SetCVar("CAAPlayerHealthThrottle", 0) -- 间隔 0~5秒
                SetCVar("CAAPlayerHealthVolume", 100) --音量 0~100
            SetCVar("CAASayTargetName", 1) -- 播报目标名称
            SetCVar("CAASayIfTargeted", 1) -- 被选中时语音播报 0:关闭 1:语音："威胁" 2:语音："你被选中了" 3:语音："被狗头选中了"
            SetCVar("CAATargetHealthPercent", 0) -- 播报目标生命值 0:关闭 1:每10% 2:每20% 3:每30% 4:每40% 5:每50%
                SetCVar("CAATargetHealthFormat", 7) --格式 0:生命值百分之20 1:生命值20 2:生命值2 3:百分之20 4:20 5:2 6:目标百分之20 7:目标20 8:目标2
                SetCVar("CAATargetDeathBehavior", 1) --目标死亡时 0 = 使用目标生命值格式, 1 = 语音："目标死亡"
                SetCVar("CAATargetHealthVoice", 2) --语音 0:中文 1:英文 非固定 查询方法：/dump C_VoiceChat.GetTtsVoices()
                SetCVar("CAATargetHealthThrottle", 5) -- 间隔 0~5秒
                SetCVar("CAATargetHealthVolume", 100) --音量 0~100
            SetCVar("CAAPartyHealthPercent", 3) --播报队伍生命值 0:关闭 1:低于100% 2:低于90% 3:低于80% 4:低于70% 5:低于60% 6:低于50% 7:低于40% 8:低于30% 9:低于20% 10:低于10%
                SetCVar("CAAPartyHealthVoice", 2) --语音 0:中文 1:英文 非固定 查询方法：/dump C_VoiceChat.GetTtsVoices()
                SetCVar("CAAPartyHealthFrequency", 0) --频率 -10~10
                SetCVar("CAAPartyHealthVolume", 100) --音量 0~100
            SetCVar("CAAResource1Percents", 0)--播报你的%s1资源根据职业专精而改变 0:关闭 1:每10% 2:每20% 3:每30% 4:每40% 5:每50%
                SetCVar("CAAResource1Formats", 1) --格式 0:生命值百分之20 1:生命值20 2:生命值2 3:百分之20 4:20 5:2
                SetCVar("CAAResource1Voice", 2) --语音 0:中文 1:英文 非固定 查询方法：/dump C_VoiceChat.GetTtsVoices()
                SetCVar("CAAResource1Throttle", 5) --间隔 0~5秒
                SetCVar("CAAResource1Volume", 100) --音量 0~100
            SetCVar("CAAResource2Percents", 0)--播报你的%s2资源根据职业专精而改变 0:关闭 1:每10% 2:每20% 3:每30% 4:每40% 5:每50%
                SetCVar("CAAResource2Formats", 1) --格式 0:生命值百分之20 1:生命值20 2:生命值2 3:百分之20 4:20 5:2
                SetCVar("CAAResource2Voice", 2) --语音 0:中文 1:英文 非固定 查询方法：/dump C_VoiceChat.GetTtsVoices()
                SetCVar("CAAResource2Throttle", 5) --间隔 0~5秒
                SetCVar("CAAResource2Volume", 100) --音量 0~100
            SetCVar("CAAPlayerCastMode", 0) --播报你的施法 0:关闭 1:施法开始时 2:施法结束时
                SetCVar("CAAPlayerCastFormat", 4) --格式 0:正在施放火球术 1:施放火球术 2:正在施放 3:施放 4:火球术
                SetCVar("CAAPlayerCastVoice", 2) --语音 0:中文 1:英文 非固定 查询方法：/dump C_VoiceChat.GetTtsVoices()
                SetCVar("CAAPlayerCastMinTime", 1.5) --最小施法时间 0~5秒 设置要播报的技能的最小施法时间。设为零则包含瞬发技能。
                SetCVar("CAAPlayerCastThrottle", 5) --间隔 0~5秒
                SetCVar("CAAPlayerCastVolume", 100) --音量 0~100
            SetCVar("CAATargetCastMode", 1) --播报目标施法 0:关闭 1:施法开始时 2:施法结束时
                SetCVar("CAATargetCastFormat", 1) --格式 0:目标正在施放火球术, 1:目标施放火球术,2:正在施放火球术, 3:施放火球术, 4:正在施放, 5:施放, 6:火球术
                SetCVar("CAATargetCastVoice", 2) --语音 0:中文 1:英文 非固定 查询方法：/dump C_VoiceChat.GetTtsVoices()
                SetCVar("CAATargetCastMinTime", 0) --最小施法时间 0~5秒 设置要播报的技能的最小施法时间。设为零则包含瞬发技能。
                SetCVar("CAATargetCastThrottle", 5) --间隔 0~5秒
                SetCVar("CAATargetCastVolume", 100) --音量 0~100
            SetCVar("CAAInterruptCast", 1) --可打断施法警报 0:关闭 1:语音：“可打断施法”
            SetCVar("CAAInterruptCastSuccess", 0) --成功打断警报 0:关闭 1:语音：“目标已打断”
            SetCVar("CAASayYourDebuffs", 1) -- 播报你的减益效果
                SetCVar("CAASayYourDebuffsFormat", 1) --格式 0:减益效果夺命钉刺 1:减益效果
                SetCVar("CAASayYourDebuffsVoice", 2) --语音 0:中文 1:英文 非固定 查询方法：/dump C_VoiceChat.GetTtsVoices()
                SetCVar("CAASayYourDebuffsMinDuration", 1) --最小持续时间 0~5秒
                SetCVar("CAASayYourDebuffsVolume", 1) --音量 0~100
            SetCVar("CAADebuffSelfAlert", 1) --自身减益效果警报 0:关闭 1:语音：“魔法减益效果”

        --[[坐骑
        Settings.SetValue("PROXY_DRAGONRIDING_SICKNESS", 1) --晕动症 4:默认 2:地表变暗 1:聚焦圆环 3:变暗和圆环
            --SetCVar("motionSicknessFocalCircle", 1)
            --SetCVar("motionSicknessLandscapeDarkening", 0)
        SetCVar("DisableAdvancedFlyingFullScreenEffects", 1) -- 驭空术屏幕效果
        SetCVar("DisableAdvancedFlyingVelocityVFX", 1) -- 驭空术速度效果
        Settings.SetValue("PROXY_DRAGONRIDING_SICKNESS", 3) --倾角控制 3:默认 2:后/上 1:前/上
            --SetCVar("advFlyPitchControl", "3")
        SetCVar("advFlyPitchControlGroundDebounce", 0) --防抖倾角输入
        SetCVar("advFlyPitchControlCameraChase", 20) --键盘倾斜镜头跟随 minValueCamera, maxValueCamera, stepCamera = 10, 30, 1
        SetCVar("advFlyKeyboardMinPitchFactor", 2.5) --最低键盘倾斜速度 minValueKeyboard, maxValueKeyboard, stepKeyboard = 1, 10, 0.5
        SetCVar("advFlyKeyboardMaxPitchFactor", 5) --最高键盘倾斜速度 minValueKeyboard, maxValueKeyboard, stepKeyboard = 1, 10, 0.5
        SetCVar("advFlyKeyboardMinTurnFactor", 5) --最低键盘转向速度 minValueKeyboard, maxValueKeyboard, stepKeyboard = 1, 10, 0.5
        SetCVar("advFlyKeyboardMaxTurnFactor", 8) --最高键盘转向速度 minValueKeyboard, maxValueKeyboard, stepKeyboard = 1, 10, 0.5

        --字幕
        SetCVar("movieSubtitle", 1) --动画字幕
        Settings.SetValue("PROXY_MOVIE_SUBTITLE_BACKGROUND", 1) --字幕背景 1:无(默认) 2:暗色 3:浅色
            Settings.SetValue("PROXY_MOVIE_SUBTITLE_BACKGROUND_ALPHA", 0.7) --背景不透明度 0.5~1

    -- 系统
        --图形
        SetCVar("gxMonitor", 0) --显示器 Settings.SetValue("PROXY_PRIMARY_MONITOR", 0)
        SetCVar("gxMaximize", false)--显示模式 true:全屏(窗口化) false:窗口 Settings.SetValue("PROXY_DISPLAY_MODE", 0)
        --Settings.SetValue("PROXY_RESOLUTION", 1920x1080) --分辨率
            SetCVar("RenderScale", 1)--渲染倍数 0.33~1
        SetCVar("useUiScale", 0) --使用UI缩放https://warcraft.wiki.gg/wiki/UI_scaling
        SetCVar("uiscale", 768/1080) --UI缩放 768/select(2, GetPhysicalScreenSize()))
        SetCVar("vsync", 1) --垂直同步
        --SetCVar("NotchedDisplayMode", 1) --刘海屏模式 0:重叠 1:用户界面下移 2:下方窗口
        SetCVar("LowLatencyMode", 0) --低延迟模式 0:关闭 1:内置 2:NVIDIA Reflex 3:NVIDIA Reflex + Boost 4:Intel XeLL
        Settings.SetValue("PROXY_ANTIALIASING", 0) --抗锯齿 0:无 1:基于图像的技术 2:多重采样技术 3:高级
            SetCVar("ffxAntiAliasingMode", 0) --基于图像的技术 0:无 1:FXAA低 2:FXAA高 3:CMAA 4:CMAA2
            SetCVar("MSAAQuality", 0) --多重采样技术 0:无 1:色彩 2x / 景深 2x 2:色彩 4x / 景深 4x 3:色彩 8x / 景深 8x
            SetCVar("msaaAlphaTest", 1) --多重采样测试
        SetCVar("cameraFov", 90) --镜头视野范围 50~90,step = 5
        --图像质量
            --基础游戏品质
            SetCVar("graphicsQuality", 9) --图像质量 0~9
            SetCVar("graphicsShadowQuality", 5) --阴影质量 0:低 1:普通 2:优良 3:高 4:极佳 5:最高
            SetCVar("graphicsLiquidDetail", 3) --液体细节 0:低 1:普通 2:优良 3:高
            SetCVar("graphicsParticleDensity", 5) --粒子密度 0:关闭 1:低 2:普通 3:优良 4:高 5:极佳
            SetCVar("graphicsSSAO", 4) --SSAO 0:关闭 1:低 2:优良 3:高 4:极佳
            SetCVar("graphicsDepthEffects", 3) --景深效果 0:关闭 1:低 2:优良 3:高
            SetCVar("graphicsComputeEffects", 4) --计算效果 0:关闭 1:低 2:优良 3:高 4::极佳
            SetCVar("graphicsOutlineMode", 2) --轮廓线模式 0:关闭 1:优良 2:高
            SetCVar("graphicsTextureResolution", 2) --材质分辨率 0:低 1:普通 2:高
            SetCVar("graphicsSpellDensity", 2) --法术密度 0:重要 1:减少 2:所有
            SetCVar("graphicsProjectedTextures", 1) --材质投射 0:关闭 1:开启
            SetCVar("graphicsViewDistance", 9) --视野距离 minValue, maxValue, step = 0, 9, 1
            SetCVar("graphicsEnvironmentDetail", 9) --环境细节 minValue, maxValue, step = 0, 9, 1
            SetCVar("graphicsGroundClutter", 9) --地表景观 minValue, maxValue, step = 0, 9, 1
            --团队副本画质
            SetCVar("RAIDsettingsEnabled", 0)  --0:关闭 1:开启
            SetCVar("raidgraphicsQuality", 9) --图像质量 0~9
            SetCVar("raidgraphicsShadowQuality", 5) --阴影质量 0:低 1:普通 2:优良 3:高 4:极佳 5:最高
            SetCVar("raidgraphicsLiquidDetail", 3) --液体细节 0:低 1:普通 2:优良 3:高
            SetCVar("raidgraphicsParticleDensity", 5) --粒子密度 0:关闭 1:低 2:普通 3:优良 4:高 5:极佳
            SetCVar("raidgraphicsSSAO", 4) --SSAO 0:关闭 1:低 2:优良 3:高 4:极佳
            SetCVar("raidgraphicsDepthEffects", 3) --景深效果 0:关闭 1:低 2:优良 3:高
            SetCVar("raidgraphicsComputeEffects", 4) --计算效果 0:关闭 1:低 2:优良 3:高 4::极佳
            SetCVar("raidgraphicsOutlineMode", 2) --轮廓线模式 0:关闭 1:优良 2:高
            SetCVar("raidgraphicsTextureResolution", 2) --材质分辨率 0:低 1:普通 2:高
            SetCVar("raidgraphicsSpellDensity", 2) --法术密度 0:重要 1:减少 2:所有
            SetCVar("raidgraphicsProjectedTextures", 1) --材质投射 0:关闭 1:开启
            SetCVar("raidgraphicsViewDistance", 9) --视野距离 minValue, maxValue, step = 0, 9, 1
            SetCVar("raidgraphicsEnvironmentDetail", 9) --环境细节 minValue, maxValue, step = 0, 9, 1
            SetCVar("raidgraphicsGroundClutter", 9) --地表景观 minValue, maxValue, step = 0, 9, 1
        --高级
        SetCVar("gxMaxFrameLatency", 0) --三倍缓冲 1:开启 0:禁用
        SetCVar("textureFilteringMode", 5) --材质过滤 0:双线性 1:三线性 2:2x各向异性 3:4x各向异性 4:8x各向异性 5:16x各向异性
        SetCVar("shadowrt", 0) --光线追踪阴影 0:关闭 1:普通 2:优良 3:高
        SetCVar("ResampleQuality", 3) --重新采样品质 0:点 1:双线性 2:三线性 3:FidelityFX Super Resolution 1.0
        SetCVar("vrsValar", 0) --VRS模式 0:关闭 1:普通 2:激进
        SetCVar("gxapi", Auto) --图形接口GetGraphicsAPIs() d3d11:DirectX 11, d3d12:DirectX 12, Auto:自动检测
        SetCVar("physicsLevel", 1) --物理交互 0:无 1:仅限玩家 2:玩家与NPC
        SetCVar("gxAdapter", "NVIDIA GeForce GTX 1050") --显卡 "":自动检测 C_VideoOptions.GetGxAdapterInfo():"NVIDIA GeForce GTX 1050"
        SetCVar("useMaxFPS", 0) --最高前台帧数开关 1:开启 0:禁用
            SetCVar("maxFPS", 60) --最高前台帧数 8 ~ 200
        SetCVar("useMaxFPSBk", 1) --最高后台帧数开关 1:开启 0:禁用
            SetCVar("maxFPSBk", 30) --最高后台帧数 8 ~ 200
        SetCVar("useTargetFPS", 1) --目标帧数开关
            SetCVar("targetFPS", 60) --目标帧数 8 ~ 200
        SetCVar("ResampleSharpness", 0.2) --重新采样锐度minValue, maxValue, step = 0.0, 2.0, .1
        SetCVar("Contrast", 50) --对比度 minValue, maxValue, step = 0, 100, 1
        SetCVar("Brightness", 50) --亮度 minValue, maxValue, step = 0, 100, 1
        SetCVar("Gamma", 1) --伽马值 minValue, maxValue, step = .3, 2.8, .1
        --兼容性设置
        SetCVar("GxCompatOptionalGpuFeatures", 1) --可选的GPU功能
        SetCVar("GxCompatAsyncShaderCompilation", 1) --异步资源生成
        SetCVar("GxCompatCommandListMultiThreading", 1) --多线程渲染
        SetCVar("GxCompatWorkSubmitOptimizations", 0) --进阶工作提交

        --音频
        SetCVar("Sound_EnableAllSound", 1) --开启声效 1:开启 0:禁用
        SetCVar("Sound_OutputDriverIndex", 0) --输出设备 0:系统默认
        SetCVar("Sound_MasterVolume", 1) --主音量 0~1
            SetCVar("Sound_MusicVolume", 0.4) --音乐 0~1
            SetCVar("Sound_SFXVolume", 1) --效果 0~1
            SetCVar("Sound_AmbienceVolume", 0.6) --环境音 0~1
            SetCVar("Sound_DialogVolume", 1) --对话 0~1
        SetCVar("Sound_EnableMusic", 0) --音乐 1:开启 0:禁用
            SetCVar("Sound_ZoneMusicNoDelay", 1) --音乐循环
            SetCVar("Sound_EnablePetBattleMusic", 1) --宠物对战音乐
        SetCVar("Sound_EnableSFX", 1) --声音效果
            SetCVar("Sound_EnablePetSounds", 1) --启用宠物音效
            SetCVar("Sound_EnableEmoteSounds", 1) --表情音效
        SetCVar("Sound_EnableGameplaySFX", 1) --游戏音效:在战斗中启用音频提示 1:开启 0:禁用
            SetCVar("Sound_GameplaySFX", 1) --调整游戏音效的音量 0~1
        SetCVar("Sound_EnableDialog", 1) --对话
            SetCVar("Sound_EnableErrorSpeech", 0) --错误提示
        SetCVar("Sound_EnableAmbience", 1) --环境音效
        SetCVar("Sound_EnableSoundWhenGameIsInBG", 1) --背景声音
        SetCVar("Sound_EnableReverb", 1) --启用混响
        SetCVar("Sound_EnablePositionalLowPassFilter", 1) --距离过滤
        SetCVar("Sound_NumChannels", 64) --伴音通道 20~128
        SetCVar("Sound_MaxCacheSizeInBytes", 134217728) --音频缓存大小 67108864:"小(%dMB)"  67108864:"大(%dMB)"
        --信号系统
        SetCVar("Sound_EnablePingSounds", 1) --信号音效
        SetCVar("Sound_PingVolume", 1) --信号音量
        --首领预警
        SetCVar("Sound_EnableEncounterWarningsSounds", 1) --首领预警音效
        SetCVar("Sound_EncounterWarningsVolume", 1) --首领预警音量
        --语音聊天
        --Settings.SetValue("PROXY_VOICE_OUTPUT_DEVICE", 0) --输出设备 "系统默认":VOICE_CHAT_OUTPUT_DEVICE_DEFAULT
            SetCVar("VoiceOutputVolume", 0.5) --语音聊天音量 0~1
            SetCVar("VoiceChatMasterVolumeScale", 1) --语音聊天降噪 1~0
        --Settings.SetValue("PROXY_VOICE_INPUT_DEVICE", 0) --麦克风设备 "系统默认":VOICE_CHAT_INPUT_DEVICE_DEFAULT
            SetCVar("VoiceInputVolume", 0.5) --麦克风音量 0~1
            SetCVar("VoiceVADSensitivity", 0.56) --麦克风灵敏度 0~1
        Settings.SetValue("PROXY_VOICE_CHAT_MODE", 0) --语音聊天模式 0:"按键发言" 1:"自由发言"
            SetBinding("", "TOGGLE_VOICE_PUSH_TO_TALK") --按键发言键位

        --语言
        SetCVar("textLocale", "zhCN") --文本 zhCN/enUS
        SetCVar("audioLocale", "zhCN") --配音 zhCN/enUS

        --网络
        SetCVar("disableServerNagle", 1) --优化网络速度
        SetCVar("useIPv6", 0) --当IPv6可用时开启
        SetCVar("advancedCombatLogging", 1) --高级战斗日志
        --]]

    -- 隐藏选项
    SetCVar("chatClassColorOverride", 1)--聊天栏显示职业颜色
    SetCVar("namePlateMinScale", 0.8)--血条大小(默认0.8)
    SetCVar("nameplateSelectedScale", 1.5)--當前目標大小
    SetCVar('nameplateOccludedAlphaMult', 0.4)--关闭姓名版穿墙模式
    SetCVar("UnitNamePlayerGuild", 0)--姓名版隐藏公会名称
    SetCVar("commentatorLossOfControlTextNameplate", 1)--失控姓名版文字
    SetCVar("UnitNameFriendlySpecialNPCName", 1)--显示任务相关NPC名字，并在小地图上追踪
    SetCVar("nameplateMaxDistance", 100)  --姓名版最大显示距离
    SetCVar("alwaysCompareItems", 1) -- 自动装备对比 启用：1 禁用：0
    SetCVar("mapFade", 0) -- 移动时世界地图不透明 启用：1 禁用：0
    SetCVar("noBuffDebuffFilterOnTarget", 0) -- 只显示自己施放的法术光环 启用：0 禁用：1
    SetCVar("UberTooltips", 1) -- 鼠标提示显示技能说明 启用：1 禁用：0
    C_Container.SetSortBagsRightToLeft(true) -- 背包整理从左到右
    C_Container.SetInsertItemsLeftToRight(false) -- 拾取物品从左到右
    SetCVar("minimapTrackingShowAll", 1) -- 迷你地图显示所有追踪目标 启用：1 禁用：0
    SetCVar("TargetPriorityPvp", 3) -- 进入PVP区域改变Tab目标优先级 1 = 玩家&NPC 2 = 所有目标 3 = 仅玩家
    SetCVar("showTargetCastbar", 1) -- 显示目标施法条 启用：1 禁用：0
    SetCVar("cameraDistanceMaxZoomFactor", 2.6)--最大距离
    SetCVar("scriptErrors", 1)--开启错误提示
    SetCVar("taintlog", 1)
    SetCVar("overrideArchive", 0)--反和谐 0开启
    --ConsoleExec("SET portal US")--关闭关键字屏蔽功能
    SetCVar("screenshotQuality", 10)--截图品质(10最高)
    SetCVar("floatingCombatTextFloatMode", 3)--战斗字体显示方式 1向上 2向下 3弧形
    SetCVar("threatShowNumeric", 1)--目标头像上的仇恨百分比     1:开启      0:关闭
    SetCVar("threatWarning", 1)--仇恨警告
    SetCVar("dontShowEquipmentSetsOnItems", 0)  --鼠标提示不显示装备方案
    --属性栏里显示移速
    table.insert(PAPERDOLL_STATCATEGORIES[2].stats,{ stat ="MOVESPEED"})

    print(SUCCESS)
end

-- 6. 斜杠指令
SLASH_UPDATECVAR1 = "/uc"
SlashCmdList["UPDATECVAR"] = function(msg)
    UpdateCvarSettings()
end
local UpdateCvarButton = CreateFrame("Button", nil, SettingsPanel, "UIPanelButtonTemplate")
UpdateCvarButton:SetPoint("BOTTOMRIGHT", SettingsPanel, -220, 16)
UpdateCvarButton:SetSize(140, 22)
UpdateCvarButton:SetText("一键设置CVar")
UpdateCvarButton:SetScript("OnClick", function()
    UpdateCvarSettings()
end)